package org.rcisoft.bus.jnsp7xtm.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.bus.jnsp7xtm.entity.Jnsp7xtmDto;
import org.rcisoft.bus.jnsp7xtm.entity.RoleDto;
import org.rcisoft.bus.jnsp7xtm.vo.QueryJnsp7xtmDto;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

@Mapper
public interface Jnsp7xtmDtoRepository extends CyBaseMapper<Jnsp7xtmDto> {

    // 分页查询用户详情信息
    IPage<Jnsp7xtmDto> queryJnsp7xtmDtoByPaged(CyPageInfo cyPageInfo, @Param("entity") QueryJnsp7xtmDto queryJnsp7xtmDto);

    List<RoleDto> findAllList(@Param("entity") QueryJnsp7xtmDto queryJnsp7xtmDto);

    // 分页查询用户信息
    IPage<RoleDto> queryFindAllList(IPage<RoleDto> page, @Param("entity") QueryJnsp7xtmDto queryJnsp7xtmDto);

    // 获取查询的总长度
    Integer queryTotal(@Param("entity") QueryJnsp7xtmDto queryJnsp7xtmDto);
}
