package org.rcisoft.bus.jnsp7xtm.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class UserDto implements Serializable {

	private String khm;

	private String khdm;

	private List<Jnsp7xtmDto> data;

	private List<Map<String,String>> data2;

	@JsonIgnore
	private Map<String,Integer> map;

	public UserDto(String khm,String khdm, List<String> list, boolean[] flag){
		this.map = new HashMap();
		this.khdm = khdm;
		this.khm = khm;
		this.data = new ArrayList<>(list.size());
		for (int i = 0; i < list.size(); i++) {
			Jnsp7xtmDto infromation = new Jnsp7xtmDto();
			infromation.setNqy(list.get(i));
			if (flag[0]){
				infromation.setXsjg("");
			}
			if (flag[1]){
				infromation.setRmb("");
			}
			if (flag[2]){
				infromation.setChzs("");
			}
			if (flag[3]) {
				infromation.setChzsa("");
			}
			if (flag[4]) {
				infromation.setChzsb("");
			}
			if (flag[5]) {
				infromation.setZzc("");
			}
			if (flag[6]) {
				infromation.setZzcg("");
			}
			this.data.add(infromation);
			map.put(list.get(i),i);
		}
	}
}
