package org.rcisoft.bus.jnsp7xtm.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.bus.jnsp7xtm.dao.Jnsp7xtmDtoRepository;
import org.rcisoft.bus.jnsp7xtm.entity.Jnsp7xtmDto;
import org.rcisoft.bus.jnsp7xtm.entity.RoleDto;
import org.rcisoft.bus.jnsp7xtm.service.Jnsp7xtmDtoService;
import org.rcisoft.bus.jnsp7xtm.service.Jnsp7xtmService;
import org.rcisoft.bus.jnsp7xtm.vo.QueryJnsp7xtmDto;
import org.rcisoft.core.model.CyPageInfo;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Author: gy
 * @Date: 2024/4/19 10:55
 * @Description:
 */
@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
@Slf4j
public class Jnsp7xtmDtoServiceImpl extends ServiceImpl<Jnsp7xtmDtoRepository, Jnsp7xtmDto> implements Jnsp7xtmDtoService {


    @Override
    public IPage<Jnsp7xtmDto> findAllByPagination(CyPageInfo<Jnsp7xtmDto> paginationUtility, QueryJnsp7xtmDto queryJnsp7xtmDto) {
        return baseMapper.queryJnsp7xtmDtoByPaged(paginationUtility,queryJnsp7xtmDto);
    }

    @Override
    public List<RoleDto> findAll(QueryJnsp7xtmDto queryJnsp7xtmDto) {
        return baseMapper.findAllList(queryJnsp7xtmDto);
    }
}
