package org.rcisoft.bus.jnsp7xtm.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RequestInfromationDto implements Serializable {

	//nqy集合
	private List<String> nqy;
	//ddh集合
	private List<String> ddh;
	//khdm集合
	private List<Integer> khdm;
	//khm集合
	private List<String> khm;
	//khqf集合
	private List<String> khqf;
	//pn集合
	private List<String> pn;
	//mksqf集合
	private List<String> mksqf;

	//jlpm集合
	private List<String> jlpm;
	// zd集合
	private List<String> zd;
	// fnq集合
	private List<String> fnq;
	// mySzzt集合
	private List<String> mySzzt;
	//xsjg条件
	private boolean xsjg;
	//zzc条件
	private boolean zzc;
	//zzc条件
	private boolean zzcg;
	//rmb条件
	private boolean rmb;
	//chzsa条件
	private boolean chzsa;
	//chzsb条件
	private boolean chzsb;
	//szzt条件
	private boolean szzt;

	//特判nqy
	private String clickNqy;

	//特判Key
	private String clickKey;

	//特判Val
	private String clickValue;

	//特判Khdm
	private String clickKhdm;

	//pageSize
	private Integer pageSize;
	//pageNo
	private Integer pageNo;

	public static void cleanAndBuild(RequestInfromationDto r, String key){
		r.xsjg = false;
		r.zzc = false;
		r.zzcg = false;
		r.rmb = false;
		r.chzsa = false;
		r.szzt = false;
		r.chzsb = false;
		switch (key){
			case "xsjg":
				r.xsjg = true;
				break;
			case "zzc":
				r.zzc = true;
				break;
			case "rmb":
				r.rmb = true;
				break;
			case "chzsa":
				r.chzsa = true;
				break;
			case "szzt":
				r.szzt = true;
				break;
			case "chzsb":
				r.chzsb = true;
				break;
			case "zzcg":
				r.zzcg = true;
				break;
			case "chzs":
				r.chzsa = true;
				r.chzsb = true;
				break;
		}
		r.nqy.clear();
		r.nqy.add(r.clickNqy);
	}

}
