package org.rcisoft.bus.jnsp7xtm.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.jnsp7xtm.entity.*;
import org.rcisoft.bus.jnsp7xtm.vo.ReturntTotalDto;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * Created by cy on 2024年4月16日 下午5:29:36.
 */
public interface Jnsp7xtmService {

    // 查询下拉框数据
    Map<String,List<String>> searchOption();

    // 查询高级搜索
    Map<String,List<RoleDto>> searchHeightOption();

    List<UserDto> getList(RequestDto requestDto);

    List<RoleDto> getInformation(RequestInfromationDto requestInfromationDto);

    List<RoleDto> getInAllformation(RequestInfromationDto requestInfromationDto);

    Integer getListTotal(RequestDto requestDto);

    String getClickInformationPageNum(RequestInfromationDto requestInfromationDto);

    // 总合计接口
    ReturntTotalDto getTotal(RequestDto requestDto);

    // 导出统计代码
    ExportTotalDto outTotalJnsp7xtm(RequestDto requestDto);

}
